#subpage-hero {
  height: 50vh;
  display: flex;
  align-items: center;
  background: url(../resources/images/dcbconnectivity/heroimg.webp);
  background-size: cover;
  background-position: center;
}

#subpage-hero .hero-content {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 100%;
  position: relative;
  z-index: 2;
}
.published-date {
  color: #636575;
}
#subpage-hero h1 {
  margin-bottom: 2rem;
}
.newest {
  background: var(--light-grey);
  padding: 1.2rem;
  display: inline-block;
  margin-bottom: 1rem;
  border-radius: 1rem;
}

.post-item-featured {
  display: grid;
  justify-content: space-between;
  grid-column-gap: 7rem;
  grid-row-gap: 3rem;
  margin: 2rem 0;
  grid-template-areas: "image details";
  grid-template-columns: repeat(2, 1fr);
}

.post-head-info {
  display: flex;
  gap: 2rem;
  align-items: center;
  margin-bottom: 3rem;
}
.rounded {
  width: 1rem;
  height: 1rem;
  background-color: var(--primary-color);
  border-radius: 50% 50% !important;
}

.button {
  padding: 0;
  margin-top: 3rem;
  color: var(--dark-blue);
}
.col-lg-1.border {
  border: none !important;
  border-left: 0.1rem solid #77777770 !important;
}
.button:hover,
.button:focus,
.button:active,
.button:visited {
  color: var(--dark-blue);
}
#flex-posts {
  display: grid;
  gap: 5rem;
  width: 100%;
  grid-template-columns: repeat(3, 1fr);
}

.post-item {
  display: flex; /* Change from grid to flex */
  flex-direction: column; /* Ensure items stack vertically */
  justify-content: space-between; /* Distribute space evenly */
  margin: 2rem 0;
}

.post-featured-image {
  border-radius: 1rem;
  overflow: hidden;
  width: 100%; /* Ensure full width */
  aspect-ratio: 2/1; /* Maintain aspect ratio */
  margin-bottom: 2rem;
}

.post-featured-image img {
  object-fit: cover;
  border-radius: 1rem;
  width: 100%;
  height: auto; /* Make sure image height adjusts */
}

.post-details {
  display: flex;
  flex-direction: column;
  justify-content: space-between; /* Ensure content fills the available space */
  flex-grow: 1; /* Allow post details to grow */
}

#connections hr {
  margin: 3rem 0;
  border-top: 0.1rem solid #777777;
  width: 100%;
}
.nav-previous,
.nav-next {
  font-size: 1.8rem;
  color: var(--dark-blue) !important;
  font-family: "Outfit", sans-serif;
  font-weight: 500;
}
.nav-next .nav-navigation {
  justify-content: end;
}
.nav-previous a,
.nav-next a {
  color: var(--dark-blue) !important;
}
@media screen and (max-width: 1300px) {
  #flex-posts {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media screen and (max-width: 992px) {
  .post-item-featured {
    grid-template-areas: "image" "details";
    grid-template-columns: unset;
  }
  .post-item {
    margin: 4rem 0;
  }
  #flex-posts {
    display: block;
  }
  h1 {
    font-size: 3.5rem;
  }
}
